Skip to main content
POST
Run Parse

Authorizations

x-api-key
string
header
required

Headers

Pulse-Version
string
default:2

Body

A document to parse, and the options to parse it with.

file_url
string
required

The document's URL: a public http(s) URL, a public s3:// or gs:// object, or an upload URL Pulse issued.

Minimum string length: 1
config
ParseConfig { model, storage, page_range, 3 more } · object
required

This request's options.

async
boolean
default:false

Set to true to return 202 at once instead of waiting.

Response

The parse completed. Read its result at GET /parse/{parse_id}/result.

A completed parse. Read its result at GET /parse/{parse_id}/result.

parse_id
string
required

The parse's id, parse-<uuid>.

created_at
string
required

When the job was created.

completed_at
string
required

When the job ended.

expires_at
string

When the result will be deleted. Absent when the result is kept with no expiry.